Bug 1569334 - [abrt] evince: Object::getStream(): evince killed by SIGABRT
Summary: [abrt] evince: Object::getStream(): evince killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:57e092f7fd0e116910c91f39e16...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 04:59 UTC by Chris Murphy
Modified: 2018-10-30 17:29 UTC (History)
10 users (show)

Fixed In Version: poppler-0.62.0-6.fc28 poppler-0.67.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-22 22:58:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.52 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: cgroup (195 bytes, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: core_backtrace (39.06 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: dso_list (9.03 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: environ (4.93 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: maps (49.94 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: mountinfo (4.07 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: open_fds (2.26 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-19 04:59 UTC, Chris Murphy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 106137 0 None None None 2018-04-19 15:39:45 UTC

Description Chris Murphy 2018-04-19 04:59:04 UTC
Description of problem:


Version-Release number of selected component:
evince-3.28.2-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        evince /home/chris/Downloads/180221_crosstabs_POL_ENDORSE_v1_DK-1.pdf
crash_function: Object::getStream
executable:     /usr/bin/evince
journald_cursor: s=fd6fa7002a4f49c28c215b9ee15a5de5;i=b8e;b=f5608a2bba3d47d3a6e3f5544cb0b64a;m=eebf99d6;t=56a2bf2be1c8a;x=882fdf7d704f34ca
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Chris Murphy 2018-04-19 04:59:11 UTC
Created attachment 1423893 [details]
File: backtrace

Comment 2 Chris Murphy 2018-04-19 04:59:12 UTC
Created attachment 1423894 [details]
File: cgroup

Comment 3 Chris Murphy 2018-04-19 04:59:14 UTC
Created attachment 1423895 [details]
File: core_backtrace

Comment 4 Chris Murphy 2018-04-19 04:59:15 UTC
Created attachment 1423896 [details]
File: cpuinfo

Comment 5 Chris Murphy 2018-04-19 04:59:16 UTC
Created attachment 1423897 [details]
File: dso_list

Comment 6 Chris Murphy 2018-04-19 04:59:18 UTC
Created attachment 1423898 [details]
File: environ

Comment 7 Chris Murphy 2018-04-19 04:59:19 UTC
Created attachment 1423899 [details]
File: limits

Comment 8 Chris Murphy 2018-04-19 04:59:20 UTC
Created attachment 1423900 [details]
File: maps

Comment 9 Chris Murphy 2018-04-19 04:59:21 UTC
Created attachment 1423901 [details]
File: mountinfo

Comment 10 Chris Murphy 2018-04-19 04:59:23 UTC
Created attachment 1423902 [details]
File: open_fds

Comment 11 Chris Murphy 2018-04-19 04:59:24 UTC
Created attachment 1423903 [details]
File: proc_pid_status

Comment 12 Chris Murphy 2018-04-19 05:04:12 UTC
poppler-glib-0.62.0-1.fc28.x86_64
poppler-utils-0.62.0-1.fc28.x86_64
poppler-0.62.0-1.fc28.x86_64
poppler-data-0.4.8-5.fc28.noarch
poppler-sharp-0.0.3-21.fc28.x86_64

Upstream bug report.
https://bugzilla.gnome.org/show_bug.cgi?id=795368

Comment 13 Marek Kašík 2018-04-19 15:39:46 UTC
Hi, thank you for the report. I've filed a bug in poppler bugzilla for this issue: https://bugs.freedesktop.org/show_bug.cgi?id=106137.

Comment 14 Marek Kašík 2018-10-17 14:42:25 UTC
Hi,

the patch was merged upstream so I've pushed it to Fedora and will prepare an update.

Comment 15 Fedora Update System 2018-10-17 14:47:52 UTC
poppler-0.67.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d095dbbd2

Comment 16 Fedora Update System 2018-10-17 14:48:02 UTC
poppler-0.62.0-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-07d7a849c2

Comment 17 Fedora Update System 2018-10-17 23:31:45 UTC
poppler-0.67.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d095dbbd2

Comment 18 Fedora Update System 2018-10-18 05:16:47 UTC
poppler-0.62.0-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-07d7a849c2

Comment 19 Fedora Update System 2018-10-22 22:58:37 UTC
poppler-0.62.0-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-10-30 17:29:21 UTC
poppler-0.67.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.